#ifndef _POLINOM_HPP_
#define _POLINOM_HPP_
#include <iostream>
#include <vector>
using namespace std;

class Polinom{
public:
	Polinom(){}
	Polinom(const vector<float>& koef);
	Polinom(const Polinom& p):_koeficijenti(p._koeficijenti){}

	Polinom* operator + (const Polinom& p) const;
	Polinom* operator - (const Polinom& p) const;
	Polinom* operator * (const Polinom& p) const;
	float operator [] (const float& tacka) const;
	Polinom* unarniMinus() const;
	Polinom* izvod() const;
	Polinom* integral(const float& slobodni) const;
	bool operator == (const Polinom& p) const;
	
	void ispisiSe() const;
	





private:
	vector<float> _koeficijenti;


};
ostream& operator << (ostream& out, const Polinom& p);
#endif
